# telegram.ChatMemberBanned

class telegram.ChatMemberBanned(user, until_date=None, **_kwargs)

  Bases: `telegram.chatmember.ChatMember`

  Represents a chat member that was banned in the chat and can’t return to the chat or view chat messages.

  New in version 13.7.

  Parameters

    - user (`telegram.User`) – Information about the user.

    - until_date (`datetime.datetime`, optional) – Date when restrictions will be lifted for this user.

  status

    The member’s status in the chat, always `telegram.ChatMember.KICKED`.

    Type

      `str`

  user

    Information about the user.

    Type

      `telegram.User`

  until_date

    Optional. Date when restrictions will be lifted for this user.

    Type

      `datetime.datetime`